# std::stack::pop

From cppreference.com
< cpp‎ | container‎ | stack

void pop(); |  |

Removes the top element from the stack. Effectively calls c.pop_back()

### Parameters

(none)

### Return value

(none)

### Complexity

Equal to the complexity of Container::pop_back.

### See also

emplace (C++11) | constructs element in-place at the top (public member function)
push | inserts element at the top (public member function)
top | accesses the top element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/stack/pop&oldid=50671"